From b73c4b6fcf3060c6f845f4eb913b199d101909fc Mon Sep 17 00:00:00 2001
From: Jonathan Duncan <jonathanduncan@gmail.com>
Date: Mon, 20 Apr 2015 19:57:00 +0100
Subject: [PATCH] Fix for bug 748208 regression in parsing enums in bitfields

---
 src/scanner.l | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/scanner.l b/src/scanner.l
index 9529c34..56005de 100644
--- a/src/scanner.l
+++ b/src/scanner.l
@@ -5634,9 +5634,10 @@ OPERATOR  "operator"{B}*({ARITHOP}|{ASSIGNOP}|{LOGICOP}|{BITOP})
 					  BEGIN( ClassVar );
 					}
 <ClassVar>":"				{ 
-					  if (current->section==Entry::ENUM_SEC) // enum E:2, see bug 313527, 
+					  if (current->section==Entry::ENUM_SEC || current->section==Entry::VARIABLE_SEC) // enum E:2, see bug 313527, 
                                                                                  // or C++11 style enum: 'E : unsigned int {...}'
 					  {
+						current->section = Entry::ENUM_SEC;
 					    current->args.resize(0);
   					    BEGIN(EnumBaseType);
 					  }
-- 
2.1.4

